<?php
/**
 * @package         LartsDownloads Pro
 * @version         24.3.0
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\Filesystem\File;
use Joomla\Filesystem\Folder;

class FilesHelper
{
	public static function foldersExist($folders = array())
	{
		foreach ($folders as $folder) {
			if (is_dir($folder)) {
				return true;
			}
		}
		return false;
	}

	public static function deleteFiles($files = array())
	{
		foreach ($files as $key => $file) {
			File::delete($file);
		}
	}

	// Deletes folders
	public function deleteFolders($folders = array())
	{
		foreach ($folders as $folder) {
			if (!is_dir($folder)) {
				continue;
			}
			Folder::delete($folder);
		}
	}
	
	public static function delTree($path)
	{
		if (file_exists($path)) {
			$dir = opendir($path);
			while (false !== ($file = readdir($dir))) {
				if (($file != '.') && ($file != '..')) {
					$full = $path . '/' . $file;
					if (is_dir($full)) {
						self::delTree($full);
					} else {
						unlink($full);
					}
				}
			}
			closedir($dir);
			rmdir($path);
		}
	}

	public static function isDirectoryEmpty($dir) {
    // Get the list of files and directories in the specified directory
    $files = scandir($dir);
    // If there are 2 or fewer elements, it's empty (considering '.' and '..')
    return count($files) <= 2;
	}
}
