<?php
/**
 * @package         Captcha free
 * @version         24.4.0
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2023 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

require_once __DIR__ . '/LartsInstallerBase.php';

class CaptchaInstaller extends LartsInstallerBase
{
	public function __construct()
	{
		$this->message_name = 'Logical-Arts CAPTCHA Plugin';
		$this->extension_name = 'lartscaptcha';			// name of the root xml file
		$this->extension_type = 'plugin';
		$this->element = 'lartscaptcha';						// foldername of extension
		$this->plugin_folder = 'captcha';
		$this->show_message = true;
		$this->autopublish = true; 

		parent::__construct();
	}

	public function onBeforeInstall()
	{
		if (!parent::onBeforeInstall()) {
			return false;
		}
		return true;
	}

	public function onAfterInstall()
  {
		if (!parent::onAfterInstall()) {
			return false;
		}
		
		// drop system language
		$this->deleteSystemLanguageFiles($this->extension_name);
		
		return true;
  }
}

return new CaptchaInstaller;
