/**
 * @package         Captcha free
 * @version         24.4.0
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2023 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

function hint_disable(seconds, elementId) {
  var remainingSeconds = seconds;

	let elem_hint = document.getElementById(elementId);
	let elem_form = elem_hint.closest('form');
	let submitbtn = elem_form.querySelector('button[type="submit"]');

	submitbtn.disabled = true;

  // Update the countdown every second
  var x = setInterval(function() {
    remainingSeconds--;

    // If the countdown is over, display a message
    if (remainingSeconds <= 0) {
      clearInterval(x);
			submitbtn.disabled = false;
    }
  }, 1000);
}

function hint_timer(seconds, elementId) {
  var remainingSeconds = seconds;

	let elem_hint = document.getElementById(elementId);
	let elem_form = elem_hint.closest('form');
	let submitbtn = elem_form.querySelector('button[type="submit"]');
	if(submitbtn == null) {
		// try dropzone submit
		submitbtn = elem_form.querySelector('button[type="dz-submit"]');
	}

	if(submitbtn != null) {
		submitbtn.disabled = true;
	}

  // Update the countdown every second
  var x = setInterval(function() {
    remainingSeconds--;

    // Display the countdown
    elem_hint.innerHTML = "Send wait " + remainingSeconds + " s";

    // If the countdown is over, display a message
    if (remainingSeconds <= 0) {
      clearInterval(x);
      elem_hint.innerHTML = "";
			if(submitbtn != null) {
				submitbtn.disabled = false;
			}
    }
  }, 1000);
}
