/**
 * @package         Captcha free
 * @version         24.4.0
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2023 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

function setSpinner(but, bSet) {
	var elemIcon = but.querySelector('i');
	if(bSet) {
		elemIcon.classList.remove('fa-reload');
		elemIcon.classList.add('fa-spinner');
		elemIcon.classList.add('fa-spin');
		//elemIcon.style.setProperty("--fa-animation-rotate", "0.5s");
	}
	else {
		elemIcon.classList.remove('fa-spinner');
		elemIcon.classList.remove('fa-spin');
		elemIcon.classList.add('fa-reload');
		//elemIcon.style.removeProperty("--fa-animation-duration");
	}
}

function refreshImage(imgtype)
{
	let captbox = document.getElementById('captcha-box');
	let captinfo = document.getElementById('captinfo');
	let btnreload = captbox.querySelector('.bt-reload');
	let img = captbox.querySelector('img');
	
	// ajax request
	var xhttp = new XMLHttpRequest();
	xhttp.onreadystatechange = function() {
		if (this.readyState == 4 && this.status == 200) {

			var response = JSON.parse(xhttp.responseText);
			if (response) {
				img.src = response.img+'?timestamp='+(new Date().getTime());
				captinfo.value = response.captstr;
			}

			setSpinner(btnreload, false);
		}
	};
	
  //xhr.open('GET', root.vars.root + '?option=com_ajax&plugin=protectprivacy&format=raw&method=accept&consent=' + consent.join('.') + '&country=' + root.vars.country);
   const paths = Joomla.getOptions('system.paths');
	var href = paths.base + '?option=com_ajax&plugin=lartscaptcha&group=captcha&format=raw'
					+'&imgtype='+imgtype
					+'&captinfo='+captinfo.value;
	xhttp.open("GET", href, true);
	//xhttp.setRequestHeader('cache-control', 'no-cache');
	xhttp.send();
}

function dorefresh(imgtype)
{
	//debugger;
	let captbox = document.getElementById('captcha-box');
	let btnreload = captbox.querySelector('.bt-reload');
	let imgage = captbox.querySelector('img');
	
	setSpinner(btnreload, true);
	refreshImage(imgtype);
}

	