/**
 * @package         Captcha free
 * @version         24.4.0
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2023 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */


// Add event listeners to images to toggle the 'selected' class
window.addEventListener('DOMContentLoaded', function(event) {
	var images = document.querySelectorAll('.captcha-images img');
	let imgsel = document.getElementById('imgsel');
	
	images.forEach(function(image) {
		image.addEventListener('click', function() {
			// Remove 'selected' class from all images
			images.forEach(function(img) {
				img.classList.remove('selected');
			});
			
			if(image != imgsel) {
				// Add 'selected' class to the clicked image
				this.classList.add('selected');
			}
		});
	});
});
	