<?php
/**
 * @package         Captcha
 * @version         24.2.0
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2024 Logical-Arts-Extensions All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

defined('_JEXEC') or die;

use Joomla\CMS\Extension\PluginInterface;
use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\DI\Container;
use Joomla\DI\ServiceProviderInterface;
use Joomla\Event\DispatcherInterface;

use Larts\Plugin\Captcha\LartsCaptcha\Extension\LartsCaptcha;

return new class () implements ServiceProviderInterface {
    /**
     * Registers the service provider with a DI container.
     *
     * @param   Container  $container  The DI container.
     *
     * @return  void
     *
     * @since   4.3.0
     */
    public function register(Container $container)
    {
			$container->set(
					PluginInterface::class,
					function (Container $container) {
						$config  = (array) PluginHelper::getPlugin('captcha', 'lartscaptcha');
						$dispatcher = $container->get(DispatcherInterface::class);

						$plugin = new LartsCaptcha($dispatcher, $config);
						$plugin->setApplication(Factory::getApplication());
						return $plugin;
					}
			);
    }
};
