<?php
/**
 * @package         Captcha free
 * @version         24.4.0
 * 
 * @author          Logical-Arts-Extensions
 * @copyright       Copyright © 2023 Logical-Arts All Rights Reserved
 * @license         GNU GPL v3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\FormField;


class JFormFieldLarts_ExtHeader extends FormField
{
	protected function getInput() {

    $text = isset($this->element['text']) ? (string)$this->element['text'] : '';
    $btntext = isset($this->element['btn-text']) ? (string)$this->element['btn-text'] : '';
    $link = isset($this->element['link']) ? (string)$this->element['link'] : '#';
		
		$html = '<div class="text-center larts-info-box">' .
            '<div>' . Text::_($text) . '</div>'
            . '<div>'
            . '<a href="'.$link.'" target="_blank" class="btn btn-sm btn-success">' . Text::_($btntext) . '</a>'
            . '</div>'
            . '</div>';
		return $html;
	}

	protected function getLabel()
	{
    $label = isset($this->element['label']) ? (string)$this->element['label'] : '';
    $img = isset($this->element['label-img']) ? (string)$this->element['label-img'] : '';

		$html = '';
		if(!empty($img)) {
			$html .= '<img src="' .$img. '">';
		}
		if(!empty($label)) {
			$html .= '<p>'.$label.'</p>';
		}
		$html = '<div class="text-center larts-info-label">'.$html.'</div>';
		return $html;
	}

}
