<?php
/**
 * @package         Captcha free
 * @version         24.4.0
 * 
 * @author          Logical-Arts-Extensions
 * @copyright       Copyright © 2023 Logical-Arts All Rights Reserved
 * @license         GNU GPL v3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\FormField;

use Larts\Plugin\Captcha\LartsCaptcha\lib\Traits\TraitFormField;


class JFormFieldLarts_PaypalDonate extends FormField
{
	use TraitFormField;
	
	protected function getInput() {

		// load css
		$app = Factory::getApplication();
		$wa = $app->getDocument()->getWebAssetManager();
		$wa->registerAndUseStyle('plg_captcha_lartscaptcha', 'plg_captcha_lartscaptcha/lartscaptcha.css');

    $text = $this->get('text');
    $btndonate = $this->get('btn-donate');
    $linkdonate = $this->get('link-donate');
    $btnreview = $this->get('btn-review');
    $linkdreview = $this->get('link-review');
		
		$html = '<div class="text-center larts-info-box">' .
            '<div>' . Text::_($text) . '</div>'
            . '<div style="height: 8px"></div>'
            . '<div>';
		if(!empty($btndonate)) {
			$html .= '<a href="'.$linkdonate.'" target="_blank" class="btn btn-sm btn-success">' . Text::_($btndonate) . '</a>';
			if(!empty($btnreview)) {
        $html .= '<span style="padding:15px">&nbsp;</span>';
			}
		}
		if(!empty($btnreview)) {
			$html .= '<a href="'.$linkdreview.'" target="_blank" class="btn btn-sm btn-success">' . Text::_($btnreview) . '</a>';
		}
		$html .= '</div></div>';
		return $html;
	}

	protected function getLabel()
	{
		$extname = $this->getExtensionName();
		
		// load css
		$app = Factory::getApplication();
		$wa = $app->getDocument()->getWebAssetManager();
		$wa->registerAndUseStyle('plg_captcha_lartscaptcha', 'plg_captcha_lartscaptcha/lartscaptcha.css');

    $label = isset($this->element['label']) ? (string)$this->element['label'] : '';
    $img = isset($this->element['label-img']) ? (string)$this->element['label-img'] : '';
		
		$html = '';
		if(!empty($img)) {
			$html .= '<img src="' .$img. '">';
		}
		if(!empty($label)) {
			$html .= '<p>'.$label.'</p>';
		}
		$html = '<div class="text-center larts-info-label">'.$html.'</div>';
		return $html;
	}

}
