<?php
/**
 * @package         Regular Labs Library
 * @version         24.1.10020
 * 
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            https://regularlabs.com
 * @copyright       Copyright © 2024 Regular Labs All Rights Reserved
 * @license         GNU General Public License version 2 or later
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\FormField;
use Joomla\CMS\HTML\HTMLHelper;

use Larts\Plugin\Captcha\LartsCaptcha\lib\Traits\TraitFormField;


class JFormFieldLarts_ProField extends FormField
{
	use TraitFormField;
	
	protected function getInput()
	{
		HTMLHelper::_('bootstrap.tooltip', '.hasTooltip', [ 'placement' => 'top',	]);

		$text = '<em>' .Text::_('LARTS_PRO_FEATURE'). '</em>';
		$tiptext = Text::_($this->get('description'));
		$link = $this->get('btn-link');

		return '<a class="hasTooltip" title="'.$tiptext.'" href="' .$link. '" target="_blank">' .$text. '</a>';
	}

}
