<?php
/**
 * @package         Captcha free
 * @version         24.4.0
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2023 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Form\FormField;
use Joomla\CMS\Installer\Installer;


class JFormFieldLarts_Version extends FormField
{
	
    protected function getInput()
    {
        $extension = (string) isset($this->element['extension']) ? $this->element['extension'] : '';
        $path = (string) isset($this->element['path']) ? $this->element['path'] : '';
        $class = (string) isset($this->element['class']) ? $this->element['class'] : '';
				
				$file = JPATH_SITE . '/'.$path .'/'.$extension.'.xml';
				$xmldata = Installer::parseXMLInstallFile($file);

				$version = '';
				if($xmldata !== false) {
					if(array_key_exists('version', $xmldata)) {
						$version = $xmldata['version'];
					}
				}
				
        $html = '<div class="'.$class.'" id="ver_' . $extension . '">'
            . $version
            . '</div>';
				return $html;
    }

    protected function getLabel()
    {
        return '<div>Version</div>';
    }
}
