<?php
/**
 * @package         Captcha free
 * @version         24.4.0
 * 
 * @author          Logical-Arts <info@logical-arts.de>
 * @copyright       Copyright © 2023 Logical-Arts All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 * @link            https://www.logical-arts-extensions.com
 */

namespace Larts\Plugin\Captcha\LartsCaptcha\lib\Traits;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

use Joomla\CMS\Factory;


trait TraitFormField
{
	function get($name, $default = '') {
    return isset($this->element[$name]) ? (string)$this->element[$name] : '';
	}
	
	protected function getExtensionName()
	{
		if ($element = $this->form->getValue('element')) {
			return $element;
		}

		$jinput = Factory::getApplication()->getInput();
		if ($component = $jinput->get('component', '')) {
			return str_replace('com_', '', $component);
		}


		return false;
	}
}


